Subject: Re: [PATCH v3 7/7] mergetools: vimdiff: restore selective diff mode

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Aug 2022 01:45:31 -0700

Fernando Ramos <[email-masked]> writes:

> On 22/08/08 08:08PM, Felipe Contreras wrote:
>> 
>> Notice that after reorganizing the tab handling my layout becomes really simple:
>> 
>>   set hidden diffopt-=hiddenoff | silent execute 'bufdo diffthis' | 4b
>>
>
> Thanks! I really like this new approach.
>
> I also manually tested your new series (with and without .vimrc) and it works as
> expected in all listed test cases.
>
> This last series gets the best of both worlds:
>
>   - Highglihting works in single window tabs even when there is just one tab
>   
>   - Single tab layouts are not treated differently
>
>   - Generates shorter (easier to understand!) vim command strings (nice!)
>
>   - Opens the gate for a future configuration option that lets you enable "all
>     buffers diff mode" even if they are not visible in a given tab (maybe this
>     could be a new syntax token, *, that "marks" a tab to work in this mode?)
>
> So, definitely a great work. Thanks for the deeper look at the problem and this
> brilliant solution :)

Is that a "Reviewed-by:" I should add while queuing these 7 patches?

Thanks, both.